Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005082TestLinkAPI - XMLRPCpublic2012-07-04 13:582014-07-28 20:33
Reporterrsingal 
Assigned Tofman 
PrioritynormalSeverityfeature requestReproducibilityN/A
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.9.3 (2011 Q3 - bug fixing) 
Fixed in Version1.9.11 (2014 Q2 - bug fixing) 
Summary0005082: New API to assign test cases execution
DescriptionTestLink GUI allows an admin user to add test cases to a test plan AND assign them to a user(tester) whereas "addTestCaseToTestPlan" API only add test cases to a test plan. There is no API to assign test cases to a tester.

My project has a large number of test cases which I want to add in a test plan and assign EXECUTION them to different users.

I want to achieve this functionality by automation so that new test cases can be created, added to a test plan and assigned to different user based on their suite, keyword etc automatically.

Please provide a new API which assigns test cases in a test plan to a particular user.
TagsNo tags attached.
Database (MySQL,Postgres,etc)MySQL
BrowserFireFox
PHP Version5.4.3
TestCaseID
QA Team - Task Workflow StatusREADY FOR TESTING
Attached Filespng file icon testlink.png [^] (283,555 bytes) 2012-07-04 13:58

- Relationships
related to 0006331closedfman  Assign test case execution XMLRPC method 

-  Notes
There are no notes attached to this issue.

- Issue History
Date Modified Username Field Change
2012-07-04 13:58 rsingal New Issue
2012-07-04 13:58 rsingal File Added: testlink.png
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC
2014-05-18 11:56 fman Relationship added related to 0006331
2014-05-18 12:52 fman QA Team - Task Workflow Status => TBD
2014-05-18 12:52 fman Summary New API to assign test cases in a test plan to a user. => New API to assign test cases execution
2014-05-18 12:52 fman Description Updated View Revisions
2014-05-18 12:52 fman Additional Information Updated View Revisions
2014-05-25 17:23 fman QA Team - Task Workflow Status TBD => READY FOR TESTING
2014-05-25 17:23 fman Status new => resolved
2014-05-25 17:23 fman Fixed in Version => 1.9.11 (2014 Q2 - bug fixing)
2014-05-25 17:23 fman Resolution open => fixed
2014-05-25 17:23 fman Assigned To => fman
2014-07-28 20:33 fman Status resolved => closed



Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker